function affiche_calendrier(){

var d = new Date();
var dm = d.getMonth() + 1;
var dan = d.getYear();
var mois_current;

if(dan < 999) dan+=1900;



document.write('<div class="calendrier">');
calendrier(dm,dan);
document.write("<\/div>");
// fin affichage

function calendrier(mois,an) {

mois_current = mois;
//alert(mois_current);

nom_mois = new Array("Janvier","F&eacute;vrier","Mars","Avril","Mai","Juin","Juillet",
"Ao&ucirc;t","Septembre","Octobre","Novembre","D&eacute;cembre");
jour = new Array("Lu","Ma","Me","Je","Ve","Sa","Di");

var maintenant = new Date();
var ce_mois = maintenant.getMonth() + 1;
var cette_annee = maintenant.getYear();

if(cette_annee < 999) cette_annee+=1900;
var ce_jour = maintenant.getDate();
var temps = new Date(an,mois-1,1);
var Start = temps.getDay();
if(Start > 0) Start--;
else Start = 6;
var Stop = 31;
if(mois==4 ||mois==6 || mois==9 || mois==11 ) --Stop;
if(mois==2) {
	Stop = Stop - 3;
	if(an%4==0) Stop++;
	if(an%100==0) Stop--;
	if(an%400==0) Stop++;
}


document.write('<table>');
var entete_mois = nom_mois[mois-1] + " " + an;


inscrit_entete(entete_mois);

function inscrit_entete(titre_mois) {
	document.write('<th class="titre_mois" colspan="7">');
	document.write(titre_mois);
	document.write("<\/th>");
	document.write('<tr class="titre_jour">');
	for(var i=0;i<=6;i++)
		inscrit_cellule(jour[i]);
	document.write("<\/tr>");
}


var nombre_jours = 1;
for(var i=0;i<=5;i++) {
document.write("<tr>");
for(var j=0;j<=6;j++) {
	if((i==0)&&(j < Start))
		inscrit_cellule(" ","");
	else {
		if(nombre_jours > Stop)
			inscrit_cellule(" ","");
		else {
			if((an==cette_annee)&&(mois==ce_mois)&&(nombre_jours==ce_jour)){
				inscrit_cellule(nombre_jours,"jour");
			}
			else{
				inscrit_cellule(nombre_jours," ");
			}
			nombre_jours++;
		}
	}
}
document.write("<\/tr>");
}
document.write("<\/table>");
}

function inscrit_cellule(contenu,classe) {
	document.write('<td class="'+classe+'">');
	document.write(contenu);
	document.write("<\/td>");
}
}